[package]
name = "property-map-server"
version = "0.1.0"
edition = "2021"

[dependencies]
anyhow = "1"
clap = { version = "4", features = ["derive", "env"] }
axum = "0.8"
tower-http = { version = "0.6", features = ["cors", "fs", "compression-gzip", "compression-zstd", "trace"] }
tokio = { version = "1", features = ["full"] }
polars = { version = "0.46", features = ["parquet", "lazy", "dtype-struct", "dtype-u8", "dtype-u16", "dtype-i8", "dtype-i16"] }
h3o = "0.7"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
rayon = "1"
lasso = "0.7"
rustc-hash = "2"
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter", "fmt"] }
reqwest = { version = "0.12", features = ["rustls-tls"] }
regex = "1"
urlencoding = "2"

[lints.clippy]
min_ident_chars = "warn"

[profile.dev]
opt-level = 1

[profile.release]
opt-level = 3
lto = "thin"

[profile.production]
inherits = "release"
lto = true
